Summary: Digital camera software.
Name: gphoto        
Version: 0.4.3
Release: 17
Epoch: 1
License: GPL
Group: Applications/Publishing
Source: ftp://ftp.gphoto.org/projects/gphoto/pub/tar/gphoto/0.4/gphoto-%{version}.tar.gz
Patch: gphoto-option.patch
Patch1: gphoto-rsony.patch
Patch2: gphoto-port.patch
Patch3: gphoto-size.patch
Patch4: gphoto-retry.patch
Patch5: gphoto-dir.patch
Patch6: gphoto-strcat.patch
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.gphoto.org/
BuildRequires: gtk+ >= 1.2.3, imlib-devel
Requires: gtk+ >= 1.2.3

%description
The gPhoto program is digital camera software which allows you
manipulate digital camera images: you can load them, print them, mail
them, upload them to the Web, save them in popular graphics formats,
or view them on your monitor. gPhoto supports more than 90 different
digital camera models and includes a GTK+ based GUI, a command line
interface, support for the thumbnail preview of images, and an engine
for creating an HTML gallery from images.

%prep
%setup -q
%patch -p1 -b .option
%patch1 -p1 -b .rsony
%patch2 -p1 -b .usb
%patch3 -p1 -b .size
%patch4 -p1 -b .retry
%patch5 -p1 -b .dir
%patch6 -p1

%build
test -f /usr/share/libtool/config.guess && cp /usr/share/libtool/config.guess .
test -f /usr/share/libtool/config.sub   && cp /usr/share/libtool/config.sub .
%configure --libdir=%{_prefix}/lib/gphoto --libexecdir=%{_prefix}/lib/gphoto
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/gphoto.desktop << EOF
[Desktop Entry]
Name=gPhoto
Name[sv]=gPhoto
Type=Application
Exec=/usr/bin/gphoto %f
Comment=Digital camera interface
Icon=
EOF

%post -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ MANUAL NEWS README THEMES THANKS
%{_mandir}/*/*
%{_prefix}/bin/*
%{_prefix}/share/gphoto
%dir %{_prefix}/lib/gphoto
%{_prefix}/lib/gphoto/*
%config /etc/X11/applnk/Multimedia/gphoto.desktop

%changelog
* Wed Mar 20 2002 Tim Waugh <twaugh@redhat.com> 0.4.3-17
- Fix desktop file comment (bug #61427).

* Wed Feb 27 2002 Tim Waugh <twaugh@redhat.com> 0.4.3-16
- Rebuild in new environment.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan 04 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- fix some strcat() into strncat()
- add hack to build on newer archs

* Mon Jul 30 2001 Tim Waugh <twaugh@redhat.com> 0.4.3-13
- Put .desktop file in Multimedia, not Applications (bug #50289).
- Change group from Application/Publishing to Application/Multimedia,
  because that's a better fit.

* Fri Jul 20 2001 Tim Waugh <twaugh@redhat.com> 0.4.3-12
- Copyright: -> License:.
- Build requires imlib-devel (bug #49475).

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Jan 03 2001 Tim Waugh <twaugh@redhat.com>
- fix driver/port initialisation order (bug #23213)
- fix window size
- Olympus zero-length work-around (bug #23247)
- don't crash when trying to open a directory (bug #23276)

* Wed Sep 09 2000 Than Ngo <than@redhat.com>
- fix sony driver (thanks to Till)

* Wed Aug 16 2000 Than Ngo <than@redhat.com>
- apply path from Tim Waugh to handle option in desktop file (Bug #16319)

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- add swedish translation (Bug 15309)

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Don't pass any args to gphoto, its option parser is heinously broken

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 28 2000 Matt Wilson <msw@redhat.com>
- use %%configure and %%makeinstall to catch all the files and put them
  in the correct places.

* Mon Jun 26 2000 Karsten Hopp <karsten@redhat.de>
- somehow gphoto 0.4.3 didn't get into 7.0. rebuild

* Sat Jun 10 2000 Karsten Hopp <karsten@redhat.de>
- fixed mandir

* Thu May 11 2000 Tim Powers <timp@redhat.com>
- updated to 0.4.3
- cleaned up the spec file a bit
- used --libdir=%{_prefix}/lib/gphoto since there is soooo much there

* Mon Feb 21 2000 Tim Powers <timp@redhat.com>
- Doh! The drivers weren't included in the file list. Fixed.

* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- using DESTDIR= for install instead of prefix=blah
- added defattr in files section
- removed gzipping of man pages so that rpm/build system can do it
	automatically. Also fixed in files section so that it is /usr/man/*/*
- strib binaries in /usr/bin, not sure if it would be acceptable to strip the
	drivers. So not doing it.

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- 0.4.2, desktop file is a config file

* Wed Nov 10 1999 Tim Powers <timp@redhat.com>
- started changelog
- updated from 0.3.0 to 0.4.0
- gzip man pages
- cleaned up %files section a bit
